Name:           wb_builder
Version:        1.0.3
Release:        2%{?dist}
Summary:        Wishbone Bus Builder

Group:          Applications/Engineering
License:        GPLv2
URL:            http://sourceforge.net/projects/fpgalibre/
Source0:        http://download.sourceforge.net/sourceforge/fpgalibre/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# fixes some Perl strict warnings and errors
Patch0:         wb_builder-strict-warnings.patch
Patch1:         wb_builder-args.patch

BuildArch:      noarch

%description
This package includes a HDL generator from a text description or via
GUI input for the Wishbone Bus.

The Wishbone Bus is an open source hardware computer bus intended
to let the parts of an integrated circuit communicate with each other.
The aim is to allow the connection of differing cores to each other
inside of a chip. The Wishbone Bus is used by many designs in the
OpenCores project.

%prep
%setup -q

%patch0 -p0 -b .perl-warnings
%patch1 -p0 -b .perl-args

# ---- Filtering Requires: ----
# In the perl script, "use IEEE.std_logic_1164.all" is meant
# to generate VHDL code and not for Perl

cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
sed -e '/perl(IEEE.std_logic_1164.all)/d'
EOF

%global __perl_requires %{_builddir}/%{name}-%{version}/%{name}-req
chmod +x %{__perl_requires}
# ------------------------------------------


#fixing rpmlint warnings: file-not-utf8
for f in LEEME.txt README.txt ;
do
    iconv -f iso8859-1 -t utf-8 $f > $f.conv 
    mv -f $f.conv $f
done


%build


%install
%{__rm} -rf %{buildroot}

install -d %{buildroot}%{_bindir}
install -pm 0755 wishbone.pl %{buildroot}%{_bindir}/wishbonebuilder



%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc LEEME.txt LICENSE README.txt users_manual.pdf
%{_bindir}/wishbonebuilder


%changelog
* Sun Aug 30 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 1.0.3-2
- Added patch from Shakthi Kannan
- Patched broken arguments

* Sat Apr 25 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 1.0.3-1
- Initial Package
